# request core files to be generated for later analysis.
ulimit -c unlimited

# Kill previous rtpDir_tm instance
killall rtpDir_tm
killall rtpDir

# sleep 2 seconds to allow ports port bindings to die gracefully inside the OS.
sleep 2

# stop all IRLP activity
killall irlp_call
killall irlp_answer
killall imike
killall ispeaker
killall sfswrapper
killall rtpDir_signal

sleep 1

# Finally, start up rtpDir_tm with nohup 
nohup /root/rtpDir/rtpDir_tm /root/rtpDir/5198_tm.conf /root/rtpDir/5198_tm.log &

# STOP HERE and COMMENT OUT the sleep, ispeaker and imike command lines below,
#    if you have set accessIRLP=no in the 5198_tm.conf configuration file.


# DO THE FOLLOWING IF YOU HAVE INSTALLED AN IRLP NODE
#   and have set accessIRLP=yes in 5198_tm.conf file
#
# Make sure that you wait at least so many seconds
#   to give ample time for the rtpDir_tm bridge to download
#   the station list, otherwise the codec that imike sends
#   to the rtpDir_tm bridge will get lost.
# 60 seconds is ample time for a high-speed Internet connection
#   to download the Echolink list.(Usually it only takes 5-6 seconds)
# You must increase the sleep time if you have a slow ISP or a dial-up ISP
#   and the download time exceeds 60 seconds, otherwise the codec that gets
#   transmitted to the rtpDir_tm bridge by the imike software will get lost
#
# But even if the codec information gets lost, a simple PTT key-up of the IRLP radio
#   or a simple transmission after rtpDir_tm downloads the station list,
#   will force the imike software to transmit its codec information
#   to the rtpDir_tm bridge.
#
# Wait 60 seconds for the rtpDir_tm bridge to do the download.
# You can decrease it if you see your download is fast, or
#    increase it if the download is slow.
# For dial-up users, make it 90 seconds or more.
# sleep 60

# We need this to allow the userid repeater to access the soundcard
#    just in case the Linux Desktop installation messed up the permissions on the soundcard device
chmod o+rw /dev/audio /dev/mixer /dev/dsp

# Start the IRLP ispeaker software with userid root
# /home/irlp/bin/ispeaker -f127.0.0.1 -p2174 >/dev/null 2>&1 &

# Start the IRLP imike software with userid root
# /home/irlp/bin/imike -F -P127.0.0.1:2074 -P127.0.0.1:2076 -P127.0.0.1:2078 -P127.0.0.1:2080 -P127.0.0.1:2082 -P127.0.0.1:2084 -P127.0.0.1:2086 -P127.0.0.1:2088 -P127.0.0.1:2090 -P127.0.0.1:2092 > /dev/null 2>&1 &


